require('model/GuiEvent')
require('model/Toolbar')
require('model/Gui')

---@param eventData EventData
script.on_event("interface-mod_show", function(eventData)
    Gui.load(eventData.player_index):createFloatingToolbar()
end)

---@param eventData EventData
script.on_event(defines.events.on_gui_click, function(eventData)
    local guiEvent = GuiEvent.new(eventData)
    if guiEvent:isForInterfaceMod() then
        Toolbar.load(guiEvent:element()):handle(guiEvent)
    end
end)

---@param eventData EventData
script.on_event(defines.events.on_gui_elem_changed, function(eventData)
    local guiEvent = GuiEvent.new(eventData)
    if guiEvent:isForInterfaceMod() then
        Toolbar.load(guiEvent:element()):handle(guiEvent)
    end
end)

---@param eventData EventData
local function updateToolbars(eventData)
    local toolbars = Gui.load(eventData.player_index):toolbars()
    for _, toolbar in pairs(toolbars) do
        toolbar:update()
    end
end

-- seems that defines.events.on_player_changed_surface to be triggered before new inventory is available
---@param eventData EventData
script.on_event(defines.events.on_player_toggled_map_editor, function(eventData)
    updateToolbars(eventData)
end)

---@param eventData EventData
script.on_event(defines.events.on_player_main_inventory_changed, function(eventData)
    updateToolbars(eventData)
end)
