data:extend {
    {
        order = "1",
        type = "custom-input",
        name = "interface-mod_show",
        localised_name = "Show tabs",
        key_sequence = "L",
    },
}

data:extend {
    {
        type = "sprite",
        name = "interface-mod_left",
        filename = "__interface-mod__/graphics/left.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },
    {
        type = "sprite",
        name = "interface-mod_right",
        filename = "__interface-mod__/graphics/right.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },
    {
        type = "sprite",
        name = "interface-mod_down",
        filename = "__interface-mod__/graphics/down.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },
    {
        type = "sprite",
        name = "interface-mod_up",
        filename = "__interface-mod__/graphics/up.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },
}

styles = data.raw["gui-style"].default

-- Transparent QuickBar
styles.quick_bar_window_frame.graphical_set = table.deepcopy(styles.frame.graphical_set)
styles.quick_bar_window_frame.graphical_set.base.opacity = 0.6

styles.quick_bar_page_button.default_graphical_set.base.opacity = 0.3

styles.quick_bar_inner_panel.graphical_set = table.deepcopy(styles.quick_bar_inner_panel.graphical_set)
styles.quick_bar_inner_panel.graphical_set.base.opacity = 0.3

styles.quick_bar_slot_button.default_graphical_set = table.deepcopy(styles.slot_button.default_graphical_set)
styles.quick_bar_slot_button.default_graphical_set.base.opacity = 0.4
--

-- Transparent Shortcut Bar
styles.shortcut_bar_window_frame.graphical_set = table.deepcopy(styles.frame.graphical_set)
styles.shortcut_bar_window_frame.graphical_set.base.opacity = 0.6

styles.shortcut_bar_inner_panel.graphical_set = table.deepcopy(styles.quick_bar_inner_panel.graphical_set)
styles.shortcut_bar_inner_panel.graphical_set.base.opacity = 0

styles.shortcut_bar_expand_button.default_graphical_set = table.deepcopy(styles.frame_button.default_graphical_set)
styles.shortcut_bar_expand_button.default_graphical_set.base.opacity = 0.4
--

styles.toolbar_frame = {
    type = "frame_style",
    parent = "quick_bar_window_frame",
    padding = 1
}

styles.toolbar_header = {
    type = "horizontal_flow_style"
}

styles.toolbar_header_space = {
    type = "empty_widget_style",
    horizontally_stretchable = "on",
    vertically_stretchable = "on",
    margin = 0,
    graphical_set = { opacity = 0, size = 1 }
}

styles.toolbar_command_button = {
    type = "button_style",
    parent = "frame_action_button",
    size = 20,
    default_graphical_set = table.deepcopy(styles.frame_button.default_graphical_set)
}
styles.toolbar_command_button.default_graphical_set.base.opacity = 0.6

styles.toolbar_command_button_red = {
    type = "button_style",
    parent = "toolbar_command_button",
    default_graphical_set = table.deepcopy(styles.red_button.default_graphical_set),
    hovered_graphical_set = table.deepcopy(styles.red_button.hovered_graphical_set),
    clicked_graphical_set = table.deepcopy(styles.red_button.clicked_graphical_set),
    disabled_graphical_set = table.deepcopy(styles.red_button.disabled_graphical_set),

    left_click_sound = {{ filename = "__core__/sound/gui-red-button.ogg", volume = 0.5 }}
}
styles.toolbar_command_button_red.default_graphical_set.base.opacity = 0.6

styles.toolbar_inner_panel = {
    type = "frame_style",
    parent = "quick_bar_inner_panel"
}
styles.toolbar_table = { type = "vertical_flow_style", vertical_spacing = 0, padding = 0 }
styles.toolbar_table_row = { type = "horizontal_flow_style", horizontal_spacing = 0, padding = 0 }
styles.toolbar_table_slot = { type = "button_style", parent = "quick_bar_slot_button" }
