---@generic C : Object
---@param class C
---@return C
function extends(class)
    return setmetatable({},
            { __index = class,
              __tostring = function(object)
                  return object:toString()
              end
            })
end

---@class Object
Object = {}

function Object.requireNonNil(object)
    assert(object ~= nil)
    return object
end

---@generic T : Object
---@param super T optional if the Object
---@return self
function Object:super(super)
    super = super ~= nil and super or {}
    return setmetatable(super, { __index = self })
end

---@private
---@return string
function Object:toString()
    return serpent.line(self, { comment = false })
end
