require('lang/Object')

---@class Button : Object
---@field _element LuaGuiElement
Button = extends(Object)
Button.pattern = "command_.*"

---@public
---@param element LuaGuiElement
---@return boolean
function Button.is(element)
    return element.name:match(Button.pattern)
end

---@public
---@param element LuaGuiElement
---@return Button
function Button.load(element)
    local this = Button:super()
    this._element = Object.requireNonNil(element)
    return this
end

---@public
---@return string
function Button:name()
    return self._element.name
end
