require('lang/Object')

---@class Gui
---@field private _player LuaPlayer
Gui = extends(Object)

---@public
---@return Gui
function Gui.load(player_index)
    local this = Gui:super()
    this._player = game.players[player_index]
    return this
end

---@public
---@return Toolbar
function Gui:createFloatingToolbar()
    return Toolbar.create(self._player.gui.screen)
end

function Gui:destroyAll()
    for _, toolbar in pairs(self:toolbars()) do
        toolbar:destroy()
    end
end

---@public
---@return Toolbar[]
function Gui:toolbars()
    ---@type Toolbar[]
    local toolbars = {}
    for _, child in pairs(self._player.gui.screen.children) do
        if Toolbar.is(child) then
            table.insert(toolbars, Toolbar.load(child))
        end
    end
    return toolbars
end
