require('lang/Object')

---@class GuiEvent : Object
---@field _eventData EventData
GuiEvent = extends(Object)

---@param eventData EventData
function GuiEvent.new(eventData)
    local this = GuiEvent:super()
    this._eventData = Object.requireNonNil(eventData)
    return this
end

---@return boolean
function GuiEvent:isForInterfaceMod()
    return self:element().get_mod() == "interface-mod"
end

---@return string
function GuiEvent:elementName()
    return self:element().name
end



---@return LuaGuiElement
function GuiEvent:element()
    return self._eventData.element
end

---@return boolean
function GuiEvent:isClick()
    return self._eventData.name == defines.events.on_gui_click
end

---@return boolean
function GuiEvent:isLeftClick()
    return self:isClick() and self._eventData.button ==  defines.mouse_button_type.left
end

---@return boolean
function GuiEvent:isMiddleClick()
    return self:isClick() and self._eventData.button ==  defines.mouse_button_type.middle
end

---@return boolean
function GuiEvent:isRightClick()
    return self:isClick() and self._eventData.button ==  defines.mouse_button_type.right
end

---@return boolean
function GuiEvent:isElementChange()
    return self._eventData.name == defines.events.on_gui_elem_changed
end
