require('lang/Object')
require('model/slot/State')

---@private
---@class Tool : State
Tool = extends(State)
Tool.type = "tool"

---@param parent LuaGuiElement
---@return Tool
function Tool.create(parent, itemName)
    local definition = {
        name = Tool.type,
        type = "sprite-button",
        elem_tooltip = { type = "item", name = itemName },
        sprite = "item/" .. Object.requireNonNil(itemName),
        style = "toolbar_table_slot",
        mouse_button_filter = { "left", "middle" }
    }
    return Tool:super(State.create(parent, definition))
end

---@param element LuaGuiElement
---@return Tool
function Tool.load(element)
    return Tool:super(State.load(element))
end

function Tool:itemName()
    return self:element().elem_tooltip.name
end

function Tool:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:cursor():setTool(self:itemName())
        State.rememberPick(self)
    elseif guiEvent:isMiddleClick() then
        self:clear()
    end
end
